Bug 23255 - HomeOrHoldingbranch system preference options are described wrong
Summary: HomeOrHoldingbranch system preference options are described wrong
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-02 15:27 UTC by Nick Clemens
Modified: 2019-09-19 22:49 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23255: Correct HomeOrHoldingBranch descriptions (1.32 KB, patch)
2019-07-02 16:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23255: Correct HomeOrHoldingBranch descriptions (1.37 KB, patch)
2019-07-03 13:30 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 23255: Correct HomeOrHoldingBranch descriptions (1.43 KB, patch)
2019-07-03 21:07 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-02 15:27:35 UTC
This preference is titled well, it determines whether to use the items homebranch or the items holdingbranch for determining circulation rules.

The descriptions, however, are wrong:
homebranch => 'the library the item is from'
holdingbranch => 'the library the item was checked out from'

This is not what happens.

To recreate:
1 - Set an all all rule for all libraries with a checkout period of 5 days
2 - Set an all all rule for library A with a checkout period of 7 days
3 - Sign in to Koha as Library B
4 - Set CircControl to "item's home library"
5 - Set HomeOrHoldingBranch to "the library the item was checked out from"
6 - Find an item with home and holding branch of library A
7 - Check this out to a patron
8 - The item will be a 7 day loan
9 - You would expect to use the rules of the library you checked out from "Library B"
Comment 1 Nick Clemens 2019-07-02 16:11:23 UTC
Created attachment 91189 [details] [review]
Bug 23255: Correct HomeOrHoldingBranch descriptions

To test:
1 - Apply patch
2 - View 'HomeOrHoldingBranch' system preference
3 - Confirm the options make sense
Comment 2 Claire Gravely 2019-07-03 13:30:18 UTC
Created attachment 91228 [details] [review]
Bug 23255: Correct HomeOrHoldingBranch descriptions

To test:
1 - Apply patch
2 - View 'HomeOrHoldingBranch' system preference
3 - Confirm the options make sense

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2019-07-03 21:07:42 UTC
Created attachment 91243 [details] [review]
Bug 23255: Correct HomeOrHoldingBranch descriptions

To test:
1 - Apply patch
2 - View 'HomeOrHoldingBranch' system preference
3 - Confirm the options make sense

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Martin Renvoize 2019-07-04 08:26:33 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-07-25 13:26:42 UTC
Pushed to 19.05.x for 19.05.03
Comment 6 Lucas Gass 2019-07-26 15:30:37 UTC
backported to 18.11.x for 18.11.09